Bug 1119935 - din does not start [NEEDINFO]
Summary: din does not start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: din
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 21:54 UTC by Ryan Lerch
Modified: 2015-06-30 01:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:05:11 UTC
bloch: needinfo? (rlerch)


Attachments (Terms of Use)

Description Ryan Lerch 2014-07-15 21:54:04 UTC
installed din from the repos, tried to start it, and got the following output:

$ din
+++ initialised random number generator +++
<<< using data files in /home/rlerch/.din/ >>>
<<< loading globals, done >>>
<<< loading font from: /home/rlerch/.din/jag.fnt, done. >>>
<< loading audio prefs from: /home/rlerch/.din/jack_prefs, done. >>>
*** connecting to JACK server ***
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jackdmp 1.9.9.5
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2012 Grame.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
Cannot create thread 1 Operation not permitted
Cannot create thread 1 Operation not permitted
Cannot create thread 1 Operation not permitted
JACK server starting in realtime mode with priority 20
Cannot lock down 107335194 byte memory area (Cannot allocate memory)
audio_reservation_init
Acquire audio card Audio0
creating alsa driver ... hw:0|hw:0|1024|2|48000|0|0|nomon|swmeter|-|32bit
ALSA: Cannot open PCM device alsa_pcm for playback. Falling back to capture-only mode
JackTemporaryException : now quits...
Cannot initialize driver
JackServer::Open failed with -1
Failed to open server
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
!!! couldnt connect to JACK server. !!!
!!! din shutdown !!!

Comment 1 Adam Huffman 2014-07-20 22:20:35 UTC
Thanks for the report. I'll take a look next week.

Comment 2 Adam Huffman 2014-07-22 22:51:53 UTC
It looks to me like JACK isn't running. In that situation, din doesn't start for me, either. If JACK is running, din does start.

Are other JACK applications working for you?

Comment 3 Peter H. Jones 2014-08-31 03:52:33 UTC
I think I am seeing this bug trying to run with rosegarden4-14.02-3.fc21.x86_64 and qsynth-0.3.7-4.fc21.x86_64. Usually, this works OK, but today I installed a bunch of debuginfo packages because I thought I would want to submit a stack trace of pavucontrol-2.0-7.fc21.x86_64 before finding 2.0.8 was available and fixed the segfault problem I got in 2.0.7.

I am running on an 8G machine, so I don't understand why there's a problem allocating just 1G of memory.

I have a hunch the problem is a lack of disk space, not memory. I am running a customized version of the Xfce-Live spin. df -h shows the following:
Sys. de fichiers    Taille Utilisé Dispo Uti% Monté sur
/dev/mapper/live-rw   3,9G    3,8G  132M  97% /
devtmpfs              3,9G       0  3,9G   0% /dev
tmpfs                 3,9G    140K  3,9G   1% /dev/shm
tmpfs                 3,9G    1,1M  3,9G   1% /run
tmpfs                 3,9G       0  3,9G   0% /sys/fs/cgroup
/dev/sr0              1,4G    1,4G     0 100% /run/initramfs/live
tmpfs                 3,9G    212K  3,9G   1% /tmp
varcacheyum           3,9G       0  3,9G   0% /var/cache/yum
vartmp                3,9G       0  3,9G   0% /var/tmp
tmpfs                 790M     12K  790M   1% /run/user/1000

So, the first thing I might try is building onto a larger DVD image to get more space for / and tmpfs. Getting rid of the now unnecessary debuginfos would also probably help.

My JACK messages windows contains:
"23:49:10.440 Baie de brassage activée.
23:49:10.440 Réinitialisation des statistiques.
23:49:10.442 Changement des connexions ALSA.
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server request channel
jack server is not running or cannot be started
23:49:10.449 Changement du graphique des connexions ALSA.
23:49:10.646 Balayage de la baie de brassage ALSA active...
23:49:37.659 JACK démarre...
23:49:37.660 /usr/bin/jackd -dalsa -dhw:0 -r48000 -p1024 -n2
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server request channel
jack server is not running or cannot be started
Cannot create RT messagebuffer thread: Operation not permitted (1)
Retrying messagebuffer thread without RT scheduling
Messagebuffer not realtime; consider enabling RT scheduling for user
no message buffer overruns
23:49:37.681 JACK a été démarrer avec le PID=2387.
Cannot create RT messagebuffer thread: Operation not permitted (1)
Retrying messagebuffer thread without RT scheduling
Messagebuffer not realtime; consider enabling RT scheduling for user
no message buffer overruns
Cannot create RT messagebuffer thread: Operation not permitted (1)
Retrying messagebuffer thread without RT scheduling
Messagebuffer not realtime; consider enabling RT scheduling for user
no message buffer overruns
jackdmp 1.9.9.5
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2012 Grame.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
JACK server starting in realtime mode with priority 20
Cannot lock down 107335194 byte memory area (Cannot allocate memory)
audio_reservation_init
Acquire audio card Audio0
creating alsa driver ... hw:0|hw:0|1024|2|48000|0|0|nomon|swmeter|-|32bit
ALSA: Cannot open PCM device alsa_pcm for playback. Falling back to capture-only mode
Cannot initialize driver
JackServer::Open failed with -1
Failed to open server
23:49:37.886 JACK a été arrêté avec statut de sortie=255.
23:49:39.695 Impossible de connecter le serveur JACK comme client. - L'opération a échoué. - Incapable de se connecter au serveur. Veuillez consulter la fenêtre des messages pour plus d'informations.
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server request channel
jack server is not running or cannot be started"

Comment 4 Peter H. Jones 2014-08-31 15:48:22 UTC
Worked when I increased the size of the DVD in the part statement in the livecd-creator kickstart file.

Comment 5 Fedora End Of Life 2015-05-29 12:22:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 01:05:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.